
package com.jeelowcode.core.framework.service;

import com.jeelowcode.core.framework.params.model.ExcelModel;
import com.jeelowcode.core.framework.params.model.ExcelTemplateModel;
import org.springframework.web.context.request.ServletRequestAttributes;

/**
 * Excel相关
 */
public interface IExcelService {

    /**
     * 导入Excel模版
     * @param dbformId
     */
    ExcelTemplateModel getImportExcelTemplate(Long dbformId);

    /**
     * 获取导出基本信息
     * @param dbformId
     */
    ExcelModel getExportExcelModel(Long dbformId);


    /**
     * 获取报表导出基本信息
     * @param reportCode
     */
    ExcelModel getExcelReportModel(String reportCode);


    /**
     * 处理临时库
     */
    void handleTempTable(ServletRequestAttributes sra,Long dbFormId, Long fieldId);
}
